Bug 864743 - ValueError: Cannot remove non-leaf device 'sdc2'
ValueError: Cannot remove non-leaf device 'sdc2'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:791b5418292a4e8a22f9d1b40ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 22:45 EDT by Reartes Guillermo
Modified: 2013-05-30 12:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (276.80 KB, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: storage.log (119.40 KB, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (2.86 KB, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: syslog (73.85 KB, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details
File: program.log (41.83 KB, text/plain)
2012-10-09 22:45 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-09 22:45:13 EDT
Description of problem:
selected 'shrink' to two pre-existing mdadm software raid 

Version-Release number of selected component:
anaconda-18.14

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 375, in _removeDevice
:    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 425, in registerAction
:    self._removeDevice(action.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 227, in _scheduleActions
:    self.storage.devicetree.registerAction(ActionDestroyDevice(device))
:ValueError: Cannot remove non-leaf device 'sdc2'
Comment 1 Reartes Guillermo 2012-10-09 22:45:23 EDT
Created attachment 624462 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-09 22:45:25 EDT
Created attachment 624463 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-09 22:45:28 EDT
Created attachment 624464 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-09 22:45:30 EDT
Created attachment 624465 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-09 22:45:35 EDT
Created attachment 624466 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-09 22:45:37 EDT
Created attachment 624467 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-09 22:45:40 EDT
Created attachment 624468 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-09 22:45:42 EDT
Created attachment 624469 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-09 22:45:45 EDT
Created attachment 624470 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-09 22:45:48 EDT
Created attachment 624471 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-09 22:45:50 EDT
Created attachment 624472 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-09 22:45:52 EDT
Created attachment 624473 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-09 22:45:55 EDT
Created attachment 624474 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-09 22:45:57 EDT
Created attachment 624475 [details]
File: program.log
Comment 15 Chris Lumens 2012-11-06 10:07:26 EST
Is this reproducible with anaconda-18.25-1?

Note You need to log in before you can comment on or make changes to this bug.